import React, { Dispatch, PropsWithChildren, SetStateAction } from 'react';
import type { MRT_FilterType, MRT_Row, MRT_TableInstance } from '.';
import { MRT_FILTER_TYPE } from './enums';
import { MRT_Icons } from './icons';
import { MRT_Localization } from './localization';
import { MaterialReactTableProps } from './MaterialReactTable';
export declare type UseMRT<D extends {} = {}> = MaterialReactTableProps<D> & {
    anyRowsCanExpand: boolean;
    anyRowsExpanded: boolean;
    icons: MRT_Icons;
    idPrefix: string;
    filterTypes: {
        [key in MRT_FILTER_TYPE]: any;
    };
    localization: MRT_Localization;
    setCurrentEditingRow: Dispatch<SetStateAction<MRT_Row<D> | null>>;
    setCurrentFilterTypes: Dispatch<SetStateAction<{
        [key: string]: MRT_FilterType;
    }>>;
    setDensePadding: Dispatch<SetStateAction<boolean>>;
    setFullScreen: Dispatch<SetStateAction<boolean>>;
    setShowFilters: Dispatch<SetStateAction<boolean>>;
    setShowSearch: Dispatch<SetStateAction<boolean>>;
    tableInstance: MRT_TableInstance<D>;
};
export declare const MaterialReactTableProvider: <D extends {} = {}>(props: React.PropsWithChildren<MaterialReactTableProps<D>>) => JSX.Element;
export declare const useMRT: <D extends {} = {}>() => UseMRT<D>;
